import { Outlet, useLocation } from 'react-router';
import Navbar from './components/Navbar';
import Footer from './components/Footer';
import PageNavigator from './components/PageNavigator';

export default function App() {
  const location = useLocation();
  const isLoadingPage = location.pathname.startsWith('/report/loading');

  return (
    <div className="min-h-screen bg-slate-50 selection:bg-purple-200 selection:text-primary-900">
      {!isLoadingPage && <Navbar />}
      <Outlet />
      {!isLoadingPage && <Footer />}
      {!isLoadingPage && <PageNavigator />}
    </div>
  );
}
